<?php
/**
 * 2018 Paysera
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * @author Paysera <plugins@paysera.com>
 * @copyright 2018 Paysera
 * @license http://opensource.org/licenses/afl-3.0.php Academic Free License (AFL 3.0)
 * International Registered Trademark & Property of Paysera
 */
declare(strict_types=1);

namespace Paysera\Delivery\Entity;

if (!defined('_PS_VERSION_')) {
    exit;
}

class ShipmentRequestGateway
{
    /**
     * @var string
     */
    private $isoCode2;

    /**
     * @var string
     */
    private $city;
    /**
     * @var string
     */
    private $terminal;

    public function __construct(
        string $isoCode2,
        string $city,
        string $terminal
    ) {
        $this->isoCode2 = $isoCode2;
        $this->city = $city;
        $this->terminal = $terminal;
    }

    public function getIsoCode2(): string
    {
        return $this->isoCode2;
    }

    public function setIsoCode2(string $isoCode2): self
    {
        $this->isoCode2 = $isoCode2;

        return $this;
    }

    public function getCity(): string
    {
        return $this->city;
    }

    public function setCity(string $terminal): self
    {
        $this->terminal = $terminal;

        return $this;
    }

    public function getTerminal(): string
    {
        return $this->terminal;
    }
}
